RelayAPI

Get Media Upload Session

GET
/v1/media/uploads/{id}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/media/uploads/string"
{  "content_type": "string",  "error": {    "code": "string",    "message": "string"  },  "expected_size": 0,  "expires_at": "2019-08-24T14:15:22Z",  "id": "string",  "media": {    "created_at": "2019-08-24T14:15:22Z",    "duration": 0,    "filename": "string",    "height": 0,    "id": "string",    "mime_type": "string",    "original_available": true,    "processing_error": {      "code": "string",      "message": "string"    },    "processing_status": "not_requested",    "reference_url": "http://example.com",    "size": 0,    "url": "http://example.com",    "variants": [      {        "duration": 0,        "height": 0,        "id": "string",        "kind": "normalized",        "mime_type": "string",        "profile": "string",        "size": 0,        "status": "processing",        "width": 0      }    ],    "variants_truncated": true,    "width": 0,    "workspace_id": "string"  },  "media_id": "string",  "mode": "single",  "part_count": 0,  "part_size": 0,  "status": "created",  "upload": {    "headers": {      "property1": "string",      "property2": "string"    },    "url": "http://example.com"  }}

Found something wrong? Help us improve this page.